﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace _8kodKlawiszaDzialanieMatematyczne
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void textBox1_Enter(object sender, EventArgs e)
        {
            //przechwyć obiekt 
            TextBox tb =sender as TextBox;
            //sprzwdź czy pole Text przechwyconej kontrolki TextBox
            //nie jest puste
            if(!string.IsNullOrEmpty(tb.Text) ) 
              {
                //nie jest puste to na czas skupienia
                //aktywności podświetl na zółto
                tb.ForeColor = Color.Black;
                tb.BackColor = Color.Yellow;
                tb.Select(tb.Text.Length, 0);
              }
        }

        private void textBox1_Leave(object sender, EventArgs e)
        {
            //przechwyć obiekt 
            TextBox tb = sender as TextBox;
            //na koniec skupienia aktywności
            //przywróć poprzedni ekolory
            tb.ForeColor = Color.Black;
            tb.BackColor = Color.White;
            tb.Select(0, 0);
        }

 
        private void textBox1_KeyUp(object sender, KeyEventArgs e)
        {
            if(textBox1.Text.Length<1 || textBox2.Text.Length<1)return;
            float a = (float)Convert.ToDouble(textBox1.Text),
                  b = (float)Convert.ToDouble(textBox2.Text),
                  w = 0;
            switch (e.KeyValue)
            {
                //F1
                case 112: w = a + b; break;
                //F2
                case 113: w = a - b; break;
                //F3
                case 114: w = a * b; break;
                //F4
                case 115: w = a / b; break;
                //ESC
                case 27: this.Close(); break;
                default: return;
            }
            MessageBox.Show("w = " + w.ToString("F2"),
                            "Komunikat",
                            MessageBoxButtons.OK,
                            MessageBoxIcon.Information);
        }
    }
}
